Info: dette er ikke ændringsloggen for seneste stabile version 4.13.1
se alle skifter

Pro v1.7 med leaflet.js v0.7.3 og kompatibilitetsrettelser er tilgængelig

Denne udgivelse opdaterer leaflet.js bibliotek, som jeg refererer til som “motoren til plugin” - tak til alle bidragydere, især til Sørgende fra mapbox.com, der fører udviklingen.

Derudover byggede jeg også løsninger på installationer på servere med forældede SSL-biblioteker. Nogle brugere af disse server rapporterede problemer, når de f.eks. Prøvede at aktivere deres licensnøgle, så en løsning til disse servere er tilføjet med pro v1.7.

Hvis du ikke ser, at den aktuelle opdatering er tilgængelig, kan du muligvis også blive påvirket af dette problem og dermed være nødt til at opdatere plugin manuelt til pro v1.7. Se afsnittet "Sådan downloades / opdateres" nedenfor for flere detaljer. Hvis du er berørt og usikker på, hvad du skal gøre, bedes du venligst åbne en support billet!


Lad mig vide, hvad du synes om denne nye udgivelse af indsender en anmeldelse!

Hvis du vil holde dig opdateret med den seneste udvikling af Maps Marker, skal du følge @MapsMarker på twitter (= mest aktuelle opdateringer), den Facebook, Google+ eller abonnere på nyheder via RSS eller via RSS / e-mail.

Jeg vil også gerne invitere dig til at deltage i vores affiliate program som tilbyder provisioner op til 50%. Hvis du er interesseret i at blive forhandler, kan du besøge https://www.mapsmarker.com/reseller


Lad os nu komme til højdepunktet i pro v1.7:

opgradering til leaflet.js v0.7.3

Leaflet.js, er dette javascript-bibliotek i dette plugin blevet frigivet. Denne udgivelse er mærket som en vedligeholdelsesudgivelse med 8 bugfixes, fuld changelog.

Andre optimeringer og ændringer

  • opdater markørklyngekodebase (ved hjælp af build 28/05/14 i stedet for 14/03/14)
  • Vis mere detaljerede fejlmeddelelser om problemer med mapsmarker.com licens API-opkald

Fejlrettelser

  • billedredigering + fjern overlejringsknapper i TinyMCE-editor til popup-tekster på markørredigeringssider manglede siden WordPress 3.9 (thx Bruno)
  • fliser til Google Maps forsvandt under zoom, når der knibes zoom på mobiltelefoner
  • brudt licens API opfordrer servere med forældede SSL-biblioteker

Oversættelser opdateringer

Takket være mange motiverede bidragydere kommer denne udgivelse med følgende opdaterede oversættelser:

Hvis du vil bidrage til oversættelser (nye hindi-oversættere vil blive værdsat!), Kan du besøge https://translate.mapsmarker.com/projects/lmm for mere information.

Bemærk, at oversættere også kompenseres for deres bidrag - for eksempel hvis en oversættelse er færdig med mindre end 50%, får oversætteren en gratis 25 licenspakke til en værdi af € 149 som en kompensation for at afslutte oversættelsen til 100%.

Outlook - mine planer for den næste udgivelse

Forstå, at jeg ikke kan love nogen frigivelsesdatoer for nye funktioner. Køreplanen for større nye funktioner (support til Google Street View og support til filtrering af lag på frontend) er stadig gyldig, jeg vil bare beholde fleksibiliteten til at tilføje optimeringer og bugfixes med temmelig ikke planlagte mindre udgivelser, der hovedsageligt skyldes brugernes feedback.

Venligst også se køreplanen for en grov plan for planlagte funktioner, og abonner venligst på denne blog (via RSS or E-mail) eller følg @MapsMarker på twitter (= mest aktuelle opdateringer), hvis du vil holde dig opdateret med de seneste udviklingsnyheder.

Fuld changelog

opgradering til leaflet.js v0.7.3 (vedligeholdelsesudgivelse med 8 bugfixes, changelog)
opdater markørklyngekodebase (ved hjælp af build 28/05/14 i stedet for 14/03/14)
Vis mere detaljerede fejlmeddelelser om problemer med mapsmarker.com licens API-opkald
billedredigering + fjern overlejringsknapper i TinyMCE-editor til popup-tekster på markørredigeringssider manglede siden WordPress 3.9 (thx Bruno)
fliser til Google Maps forsvandt under zoom, når der knibes zoom på mobiltelefoner
brudt licens API opfordrer servere med forældede SSL-biblioteker
Oversættelsesopdateringer Hvis du vil hjælpe med oversættelser, kan du besøge webbaseret oversættelsesplatform
opdateret tysk oversættelse
opdateret italiensk oversættelse takket være Luca Barbetti, http://twitter.com/okibone
opdateret rumænsk oversættelse takket være Arian, http://administrare-cantine.ro, Daniel Codrea, http://www.inadcod.com og Flo Bejgu, http://www.inboxtranslation.com

Vis tidligere skifter

Sådan downloades / opdateres

Den nemmeste måde at opdatere er at bruge WordPress-opdateringsprocessen: log ind med en bruger, der har administratorrettigheder, naviger til Dashboard / Updates, vælg plugins, der skal opdateres, og tryk på knappen “Update Plugins”. Pro-plugin kontrollerer hver 12. time, hvis en ny version er tilgængelig. Du kan også udløse opdateringskontrollen manuelt ved at gå til Plugins og klikke på linket "Manuelt kontrollere for opdateringer" ved siden af ​​"Maps Marker Pro":

manuel-update-kontrol

Hvis du ikke kan se linket "Kontroller for opdateringer" og bruger en version nedenfor 1.7, skal du opdatere manuelt en gang ved at downloade den aktuelle pakke fra https://www.mapsmarker.com/download-pro og overskriv de eksisterende plugin-filer på din server via FTP. Dette kan være nødvendigt på flere værter, der bruger forældede SSL-biblioteker, der forhindrer Maps Marker Pro i at oprette en sikker forbindelse til at hente opdateringspakken fra mapsmarker.com. Pro v1.7 inkluderer en løsning på den slags servere, og følgende opdateringer skal fungere igen som sædvanligt. Hvis du er berørt og har brug for hjælp, så tak åbne en support billet.

Yderligere opdateringsnotater til betatestere

Ingen yderligere handling ved plugin-opdatering kræves.

Én svar på “Pro v1.7 med leaflet.js v0.7.3 og kompatibilitetsfixer er tilgængelig”

Efterlad en kommentar

XHTML: Du kan bruge disse tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X